<p align="center">
    <img src="assets/dotfiles2.png" height="200px" alt="dotfiles_icon"/>
</p>

### :question: What can you find here

<img src="assets/AnimuThinku.png" width="121px" align="left" alt="AnimuThinku"></a>

  **My personal dotfiles, which:**

  => is bloated (I use a lot of programs, sometimes just to try out)  
  => yet clean (follow XDG base directory specification)  
  => for [bspwm](https://github.com/baskerville/bspwm), [spectrwm](https://github.com/conformal/spectrwm), [exwm](https://github.com/ch11ng/exwm), [sway](https://github.com/swaywm/sway), [wayfire](https://github.com/WayfireWM/wayfire), [river](https://github.com/ifreund/river), [hikari](https://hikari.acmelabs.space/)  
  => and features [Nord](https://github.com/arcticicestudio/nord) and [OneDark](https://github.com/joshdick/onedark.vim) colorschemes

![sway](assets/sway.png)

### :package: Details

- Run `deploy.sh` to deploy the dotfiles.
- `setup/` directory contains installers for additional packages.

> zsh requires adding `export ZDOTDIR=$HOME/.config/zsh` to **/etc/zsh/zshenv**

### :clipboard: TODO

- [ ] ~~[Material](https://material-theme.site/) / [Ayu](https://github.com/ayu-theme/ayu-colors) palette~~
- [ ] ~~[dotdrop](https://github.com/deadc0de6/dotdrop)~~
- [x] Migrate zsh to [zinit](https://github.com/zdharma/zinit)
- [x] Wayland compositors
- [ ] ~~ion~~ / oksh / nushell / oil / xonsh / ~~elvish~~ / oh
- [ ] NixOS / Guix / Gentoo / FreeBSD
- [ ] New Neovim config in Lua
- [ ] Independent ~/.emacs.d
- [ ] [kakoune](https://github.com/mawww/kakoune) / [lite-xl](https://github.com/franko/lite-xl)
- [ ] ~~Org Babel~~ / Ansible

### :star2: Credits & License

- [@ChristianChiarulli](https://github.com/ChristianChiarulli)'s Neovim config

- [@hlissner](https://github.com/hlissner)'s zsh config

- [@daviwil](https://github.com/daviwil)'s Emacs streams

- [@tecosaur](https://tecosaur.github.io/emacs-config/config.html)'s Emacs configuration

- [@begs](https://git.sr.ht/~begs/dotfiles)'s Waybar config

- [@nathanielevan](https://github.com/nathanielevan/dotfiles)'s weechat config

- [some fzf scripts](https://github.com/DanielFGray/fzf-scripts)

- Artists for **kawaii** wallpapers: [@rimuu](https://rimuu.com/), [@hiten](https://www.pixiv.net/users/490219/artworks), [@Tiv](https://www.pixiv.net/en/users/35081), [@mery](https://www.pixiv.net/en/users/2750098), [@Mashima_saki](https://www.pixiv.net/en/users/18403608), [@Yuuki_Tatsuya](https://www.pixiv.net/en/users/27691), [@Bison倉鼠](https://www.pixiv.net/en/users/333556/artworks), [@Dana](https://twitter.com/hapong07), [@gomzi](https://twitter.com/gcmzi), [@Rella](https://twitter.com/Rellakinoko), [@dnwls3010](https://twitter.com/dnwls3010), [@Shigure_Ui](https://www.pixiv.net/en/users/431873), [@QuAn_](https://www.pixiv.net/en/users/6657532/artworks), [@杉87](https://twitter.com/k_su_keke1121), [@fuzichoco](https://twitter.com/fuzichoco), [@Astero](https://twitter.com/asteroid_ill), [@shin556](https://www.pixiv.net/en/users/642762), [@kaynimatic](https://twitter.com/kaynimatic)
- Others are under MIT license
